@import "src/styles/scss/partials/mixins";
@import "src/styles/scss/partials/variables";

.root {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--spacing-xx-large);
    width: 100%;
    margin: var(--spacing-xxx-large) 0;

    &__item {
        flex: 0 0 calc(33.33333% - 18px);
        max-width: calc(33.33333% - 18px);
    }
}

@include down($screen_sm_end) {
    .root {
        gap: var(--spacing-large);
    }
}

@include xs {
    .root {
        &__item {
            flex: 0 0 calc(50% - var(--spacing-large));
            max-width: calc(50% - var(--spacing-large));
        }
    }
}

@include down(420px) {
    .root {
        &__item {
            flex: 0 0 100%;
            max-width: 100%;
        }
    }
}
